
D4Science Infrastructure - Task #4064

Dismiss current VM next.d4science.org and create new one making it part of the same cluster of

dev2.d4science.org

May 19, 2016 02:38 PM - Massimiliano Assante

Status: Closed Start date: May 19, 2016

Priority: High Due date: May 25, 2016

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

dev2.d4science.org should be already supporting tomcat clustering, the idea is to add a new node (next.d4science.org) they will

share the same DB that is currently hosted on dev2.

@andrea.dellamico@isti.cnr.it should have an Ansible playbook for this already. I put next week as due date, clearly the sooner the

better.

History

#2 - May 20, 2016 06:50 PM - Andrea Dell'Amico

I do not have a playbook to set up the clustering but it's a matter to configure the tomcat server.xml file on the VMs.

It's installed by you, so we need to find a way to not interfere.

#3 - May 23, 2016 11:43 AM - Andrea Dell'Amico

- Status changed from New to In Progress

The new VM name will be dev5.d4science.org, IP 146.48.122.143

#4 - May 23, 2016 02:37 PM - Andrea Dell'Amico

- % Done changed from 0 to 50

dev5.d4science.org is up. You can starting installing liferay, I'm working on the tomcat cluster configuration in the meantime.

#5 - May 23, 2016 02:43 PM - Massimiliano Assante

Ok i'm doing it now

#6 - May 23, 2016 05:39 PM - Massimiliano Assante

dev5.d4science.org is now part of the tomcat cluster (with dev2) accessible through http://dev4.d4science.org (soon to be accessible also with

next.d4science.org).

The ha proxy is configured in round robin mode at the moment, we're still working on the cluster (andrea mostly) because currently if one tomcat

instance goes down the http session get lost and the user receives an error.

#7 - May 23, 2016 05:39 PM - Massimiliano Assante

- % Done changed from 50 to 90

#8 - May 23, 2016 05:42 PM - Andrea Dell'Amico

- % Done changed from 90 to 50

On both dev2 and dev5 you find a file named /home/life/cluster-server.xml. It can be used to replace the <Engine name="Catalina"... entry and the ` ...

entries on the liferay's tomcat server.xml. The tomcat cluster configuration is needed to share the sessions data between the tomcat instances.

A restart will be needed.

The firewall rules have been updated already.

If it works, the remaining steps are:
Fix the haproxy application check

Introduce varnish between haproxy and nginx (one varnish instance for each node).

#9 - May 26, 2016 03:15 PM - Andrea Dell'Amico

I've just changed the next.d4science.org DNS record. It's now a CNAME of dev2.d4science.org

#10 - May 26, 2016 04:36 PM - Andrea Dell'Amico

next.d4science.org is now available as dev2.d4science.org CNAME, as https://next.d4science.org

#11 - May 26, 2016 05:54 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

dev3.d4science.org can be dismissed

#12 - Jun 11, 2016 12:30 PM - Andrea Dell'Amico

I shut it down, but didn't remove the disks nor the configuration. It was deployed on dlib26x.dom0.research-infrastructures.eu, FYI
